Package com.collibra.dgc.core.api.dto.instance.asset

# Class FindAssetsRequest.Builder

Object
Builder

Enclosing class:
  `FindAssetsRequest`

public static class FindAssetsRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor pagination.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindAssetsRequest`
  `build()`
  `FindAssetsRequest.Builder`
  `but()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method will be removed in the future.
  `FindAssetsRequest.Builder`
  `communityId(UUID communityId)`
  `FindAssetsRequest.Builder`
  `cursor(String cursor)`
  `FindAssetsRequest.Builder`
  `domainId(UUID domainId)`
  `FindAssetsRequest.Builder`
  `excludeMeta(boolean excludeMeta)`
  `FindAssetsRequest.Builder`
  `limit(int limit)`
  `FindAssetsRequest.Builder`
  `name(String name)`
  `FindAssetsRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindAssetsRequest.Builder`
  `offset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `FindAssetsRequest.Builder`
  `sortField(FindAssetsRequest.SortField sortField)`
  `FindAssetsRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindAssetsRequest.Builder`
  `statusIds(List<UUID> statusIds)`
  `FindAssetsRequest.Builder`
  `tagNames(List<String> tagNames)`
  `String`
  `toString()`
  `FindAssetsRequest.Builder`
  `typeIds(List<UUID> typeIds)`
  `FindAssetsRequest.Builder`
  `typeInheritance(boolean typeInheritance)`
  `FindAssetsRequest.Builder`
  `typePublicIds(List<String> typePublicIds)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated(forRemoval=true) protected int offset
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor pagination.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    @Deprecated(forRemoval=true) public FindAssetsRequest.Builder offset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination

  - ### limit

    public FindAssetsRequest.Builder limit(int limit)

  - ### but

    @Deprecated(forRemoval=true) public FindAssetsRequest.Builder but()
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method will be removed in the future. Please, use `FindAssetsRequest.builder()`
    Clone method for this Builder.

  - ### cursor

    public FindAssetsRequest.Builder cursor(String cursor)
    Parameters:
      `cursor` - Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (`nextCursor` property).
    Returns:
      `this`.

  - ### name

    public FindAssetsRequest.Builder name(String name)
    Parameters:
      `name` - The name of the asset to search for (either display name or full name).
    Returns:
      `this`.

  - ### nameMatchMode

    public FindAssetsRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Parameters:
      `nameMatchMode` - The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. When omitted, the nameMatchMode defaults to `ANYWHERE`.
    Returns:
      `this`.

  - ### domainId

    public FindAssetsRequest.Builder domainId(UUID domainId)
    Parameters:
      `domainId` - The ID of the domain to find the assets in.
    Returns:
      `this`.

  - ### communityId

    public FindAssetsRequest.Builder communityId(UUID communityId)
    Parameters:
      `communityId` - The ID of the community to find the assets in.
    Returns:
      `this`.

  - ### typeIds

    public FindAssetsRequest.Builder typeIds(List<UUID> typeIds)
    Parameters:
      `typeIds` - The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.
    Returns:
      `this`.

  - ### typePublicIds

    public FindAssetsRequest.Builder typePublicIds(List<String> typePublicIds)
    Parameters:
      `typePublicIds` - The list of public IDs of the asset types. The returned assets are of one of types specified by this parameter.
    Returns:
      `this`.

  - ### statusIds

    public FindAssetsRequest.Builder statusIds(List<UUID> statusIds)
    Parameters:
      `statusIds` - The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.
    Returns:
      `this`.

  - ### tagNames

    public FindAssetsRequest.Builder tagNames(List<String> tagNames)
    Parameters:
      `tagNames` - The list of names of tags. The returned assets have one of tags with names specified by this parameter.
    Returns:
      `this`.

  - ### typeInheritance

    public FindAssetsRequest.Builder typeInheritance(boolean typeInheritance)
    Parameters:
      `typeInheritance` - Whether the type inheritance for the asset type filtering should be applied or not. When omitted, the typeInheritance flag defaults to `true`.
    Returns:
      `this`.

  - ### excludeMeta

    public FindAssetsRequest.Builder excludeMeta(boolean excludeMeta)
    Parameters:
      `excludeMeta` - The exclude meta flag. If this is set to true then the assets from meta domains will not be returned (meta domains are the domains which were not created by the user manually). When omitted, the excludeMeta flag defaults to `true`.
    Returns:
      `this`.

  - ### sortField

    public FindAssetsRequest.Builder sortField(FindAssetsRequest.SortField sortField)
    Parameters:
      `sortField` - The field on which the results are sorted. When omitted, the sortField defaults to `NAME`.
    Returns:
      `this`.

  - ### sortOrder

    public FindAssetsRequest.Builder sortOrder(SortOrder sortOrder)
    Parameters:
      `sortOrder` - The sorting order. When omitted, the sortOrder defaults to `ASC` (ascending).
    Returns:
      `this`.

  - ### build

    public FindAssetsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`